# QWebFrame Class Reference

### [com.trolltech.qt.webkit package]

Inherits QObject.

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The QWebFrame prototype object
- ContentsLayer = 0x10
- ScrollBarLayer = 0x20
- PanIconLayer = 0x40
- AllLayers = 0xff
- RenderLayer( value )

### Prototype Object Properties

The QWebFrame prototype object inherits properties from the QObject prototype object and also has the following properties.

- void addToJavaScriptWindowObject(String name, QObject object)
- List childFrames()
- QWebElement documentElement()
- QWebElement findFirstElement(String selectorQuery)
- String frameName()
- QRect geometry()
- QWebHitTestResult hitTestContent(QPoint pos)
- void load(QNetworkRequest request, Operation operation, QByteArray body)
- SortedMap metaData()
- QWebPage page()
- QWebFrame parentFrame()
- QPoint pos()
- void render(QPainter arg__1)
- String renderTreeDump()
- void scroll(int arg__1, int arg__2)
- QRect scrollBarGeometry(Orientation orientation)
- int scrollBarMaximum(Orientation orientation)
- int scrollBarMinimum(Orientation orientation)
- ScrollBarPolicy scrollBarPolicy(Orientation orientation)
- int scrollBarValue(Orientation orientation)
- void scrollToAnchor(String anchor)
- void setContent(QByteArray data, String mimeType, QUrl baseUrl)
- void setFocus()
- void setHtml(String html, QUrl baseUrl)
- void setScrollBarPolicy(Orientation orientation, ScrollBarPolicy policy)
- void setScrollBarValue(Orientation orientation, int value)
- String toHtml()
- String toPlainText()

### Instance Properties

QWebFrame objects inherit properties from the QWebFrame prototype object and also have the following properties.

- textSizeMultiplier
- zoomFactor
- title
- url
- requestedUrl
- baseUrl
- icon
- contentsSize
- scrollPosition
- focus